--- R-2.10.1/src/modules/lapack/dlamch.f.orig	Sat Sep 22 04:05:06 2007
+++ R-2.10.1/src/modules/lapack/dlamch.f	Sat Dec 19 02:33:08 2009
@@ -54,10 +54,6 @@
       DOUBLE PRECISION   BASE, EMAX, EMIN, EPS, PREC, RMACH, RMAX, RMIN,
      $                   RND, SFMIN, SMALL, T
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLAMC2
 *     ..
--- R-2.10.1/src/modules/lapack/dlapack0.f.orig	Mon Mar 26 18:42:12 2007
+++ R-2.10.1/src/modules/lapack/dlapack0.f	Sat Dec 19 03:14:55 2009
@@ -70,12 +70,11 @@
       DOUBLE PRECISION   BIGNUM, EPS, SMLNUM, TEMP
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLASWP, DSCAL
+      EXTERNAL           DLASWP
 *     ..
 *     .. External Functions ..
-      INTEGER            IDAMAX
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           IDAMAX, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS
@@ -201,9 +200,6 @@
       INTEGER            I, IP, IPV, J, JP, JPV
       DOUBLE PRECISION   BIGNUM, EPS, SMIN, SMLNUM, XMAX
 *     ..
-*     .. External Subroutines ..
-      EXTERNAL           DGER, DSWAP
-*     ..
 *     .. External Functions ..
       DOUBLE PRECISION   DLAMCH
       EXTERNAL           DLAMCH
@@ -671,7 +667,7 @@
       INTEGER            I
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMV, DLARFG, DSCAL
+      EXTERNAL           DLARFG
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MIN
@@ -890,14 +886,6 @@
       INTEGER            I, ITER, J, JLAST, JUMP
       DOUBLE PRECISION   ALTSGN, ESTOLD, TEMP
 *     ..
-*     .. External Functions ..
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DASUM
-      EXTERNAL           IDAMAX, DASUM
-*     ..
-*     .. External Subroutines ..
-      EXTERNAL           DCOPY
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, NINT, SIGN
 *     ..
@@ -1076,10 +1064,6 @@
 *     .. Local Scalars ..
       INTEGER            I, J
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MIN
 *     ..
@@ -1947,12 +1931,11 @@
      $                   W1, X, XI, XR, Y
 *     ..
 *     .. External Functions ..
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DASUM, DLAPY2, DNRM2
-      EXTERNAL           IDAMAX, DASUM, DLAPY2, DNRM2
+      DOUBLE PRECISION   DLAPY2
+      EXTERNAL           DLAPY2
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLADIV, DLATRS, DSCAL
+      EXTERNAL           DLADIV, DLATRS
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, MAX, SQRT
@@ -2641,8 +2624,7 @@
       EXTERNAL           DLAMCH, DLANGE
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLACPY, DLANV2, DLARFG, DLARFX, DLARTG, DLASY2,
-     $                   DROT
+      EXTERNAL           DLACPY, DLANV2, DLARFG, DLARFX, DLARTG, DLASY2
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
@@ -3551,10 +3533,6 @@
 *     .. Local Scalars ..
       INTEGER            I, J
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Executable Statements ..
 *
       IF( N.EQ.0 )
@@ -4063,7 +4041,7 @@
      $                   WR2
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLAG2, DLARTG, DLASV2, DROT
+      EXTERNAL           DLAG2, DLARTG, DLASV2
 *     ..
 *     .. External Functions ..
       DOUBLE PRECISION   DLAMCH, DLAPY2
@@ -4400,7 +4378,7 @@
       EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DLABAD, DLANV2, DLARFG, DROT
+      EXTERNAL           DLABAD, DLANV2, DLARFG
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, MAX, MIN, SQRT
@@ -4864,7 +4842,7 @@
       DOUBLE PRECISION   EI
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DGEMV, DLARFG, DSCAL, DTRMV
+      EXTERNAL           DLARFG
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MIN
@@ -5047,8 +5025,8 @@
       INTRINSIC          ABS, MAX, SIGN, SQRT
 *     ..
 *     .. External Functions ..
-      DOUBLE PRECISION   DDOT, DLAMCH
-      EXTERNAL           DDOT, DLAMCH
+      DOUBLE PRECISION   DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -5840,10 +5818,6 @@
 *     .. External Subroutines ..
       EXTERNAL           DLASSQ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN, SQRT
 *     ..
@@ -5987,10 +5961,6 @@
 *     .. External Subroutines ..
       EXTERNAL           DLASSQ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN, SQRT
 *     ..
@@ -6123,10 +6093,6 @@
       INTEGER            I
       DOUBLE PRECISION   ANORM, SCALE, SUM
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLASSQ
 *     ..
@@ -6269,10 +6235,6 @@
 *     .. External Subroutines ..
       EXTERNAL           DLASSQ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN, SQRT
 *     ..
@@ -6424,10 +6386,6 @@
 *     .. External Subroutines ..
       EXTERNAL           DLASSQ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN, SQRT
 *     ..
@@ -6602,10 +6560,6 @@
 *     .. External Subroutines ..
       EXTERNAL           DLASSQ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, SQRT
 *     ..
@@ -6784,10 +6738,6 @@
       INTEGER            I
       DOUBLE PRECISION   ANORM, SCALE, SUM
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           DLASSQ
 *     ..
@@ -6927,10 +6877,6 @@
 *     .. External Subroutines ..
       EXTERNAL           DLASSQ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, SQRT
 *     ..
@@ -7112,10 +7058,6 @@
 *     .. External Subroutines ..
       EXTERNAL           DLASSQ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN, SQRT
 *     ..
@@ -7387,10 +7329,6 @@
 *     .. External Subroutines ..
       EXTERNAL           DLASSQ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, SQRT
 *     ..
@@ -7682,10 +7620,6 @@
 *     .. External Subroutines ..
       EXTERNAL           DLASSQ
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN, SQRT
 *     ..
@@ -7920,12 +7854,8 @@
 *     .. Local Scalars ..
       DOUBLE PRECISION   A11, A12, A22, C, SSMAX, TAU
 *     ..
-*     .. External Functions ..
-      DOUBLE PRECISION   DDOT
-      EXTERNAL           DDOT
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DLARFG, DLAS2
+      EXTERNAL           DLARFG, DLAS2
 *     ..
 *     .. Executable Statements ..
 *
@@ -8615,15 +8545,14 @@
       DOUBLE PRECISION   AII, TEMP, TEMP2, TOL3Z
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DLARF, DLARFG, DSWAP
+      EXTERNAL           DLARF, DLARFG
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN, SQRT
 *     ..
 *     .. External Functions ..
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DLAMCH, DNRM2
-      EXTERNAL           IDAMAX, DLAMCH, DNRM2
+      DOUBLE PRECISION   DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -8806,15 +8735,14 @@
       DOUBLE PRECISION   AKK, TEMP, TEMP2, TOL3Z
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMM, DGEMV, DLARFG, DSWAP
+      EXTERNAL           DLARFG
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, DBLE, MAX, MIN, NINT, SQRT
 *     ..
 *     .. External Functions ..
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DLAMCH, DNRM2
-      EXTERNAL           IDAMAX, DLAMCH, DNRM2
+      DOUBLE PRECISION   DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -9049,9 +8977,8 @@
       DOUBLE PRECISION   CJ, LARGE, SMALL
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN
@@ -9188,9 +9115,8 @@
       DOUBLE PRECISION   CJ, LARGE, SMALL
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -9333,9 +9259,8 @@
       DOUBLE PRECISION   CJ, LARGE, SMALL
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Executable Statements ..
 *
@@ -9503,12 +9428,11 @@
       DOUBLE PRECISION   D( 2, 2 ), V( 2, 2 )
 *     ..
 *     .. External Functions ..
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DASUM, DDOT, DLAMCH, DLANGE
-      EXTERNAL           IDAMAX, DASUM, DDOT, DLAMCH, DLANGE
+      DOUBLE PRECISION   DLAMCH, DLANGE
+      EXTERNAL           DLAMCH, DLANGE
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DLADIV, DLALN2, DSCAL
+      EXTERNAL           DLADIV, DLALN2
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
@@ -10579,13 +10503,6 @@
       DOUBLE PRECISION   ONE, ZERO
       PARAMETER          ( ONE = 1.0D+0, ZERO = 0.0D+0 )
 *     ..
-*     .. External Subroutines ..
-      EXTERNAL           DGEMV, DGER
-*     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Executable Statements ..
 *
       IF( LSAME( SIDE, 'L' ) ) THEN
@@ -10722,13 +10639,6 @@
       CHARACTER          TRANST
       INTEGER            I, J
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
-*     .. External Subroutines ..
-      EXTERNAL           DCOPY, DGEMM, DTRMM
-*     ..
 *     .. Executable Statements ..
 *
 *     Quick return if possible
@@ -11280,15 +11190,12 @@
       DOUBLE PRECISION   BETA, RSAFMN, SAFMIN, XNORM
 *     ..
 *     .. External Functions ..
-      DOUBLE PRECISION   DLAMCH, DLAPY2, DNRM2
-      EXTERNAL           DLAMCH, DLAPY2, DNRM2
+      DOUBLE PRECISION   DLAMCH, DLAPY2
+      EXTERNAL           DLAMCH, DLAPY2
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, SIGN
 *     ..
-*     .. External Subroutines ..
-      EXTERNAL           DSCAL
-*     ..
 *     .. Executable Statements ..
 *
       IF( N.LE.1 ) THEN
@@ -11460,13 +11367,6 @@
       INTEGER            I, J
       DOUBLE PRECISION   VII
 *     ..
-*     .. External Subroutines ..
-      EXTERNAL           DGEMV, DTRMV
-*     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Executable Statements ..
 *
 *     Quick return if possible
@@ -11639,13 +11539,6 @@
       DOUBLE PRECISION   SUM, T1, T10, T2, T3, T4, T5, T6, T7, T8, T9,
      $                   V1, V10, V2, V3, V4, V5, V6, V7, V8, V9
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
-*     .. External Subroutines ..
-      EXTERNAL           DGEMV, DGER
-*     ..
 *     .. Executable Statements ..
 *
       IF( TAU.EQ.ZERO )
@@ -12924,13 +12817,12 @@
       INTEGER            ISEED( 4 )
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION            DLAMCH
-      EXTERNAL           DLAMCH, LSAME
+      EXTERNAL           DLAMCH
 
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DLARNV, DLARRA, DLARRB, DLARRC, DLARRD,
+      EXTERNAL           DLARNV, DLARRA, DLARRB, DLARRC, DLARRD,
      $                   DLASQ2
 *     ..
 *     .. Intrinsic Functions ..
@@ -13581,9 +13473,6 @@
       DOUBLE PRECISION   DLAMCH
       EXTERNAL           DISNAN, DLAMCH
 *     ..
-*     .. External Subroutines ..
-      EXTERNAL           DCOPY
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS
 *     ..
@@ -14033,12 +13922,10 @@
 *     ..
 *     .. External Functions ..
       DOUBLE PRECISION  DLAMCH
-      DOUBLE PRECISION   DDOT, DNRM2
-      EXTERNAL           DDOT, DLAMCH, DNRM2
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DLAR1V, DLARRB, DLARRF, DLASET,
-     $                   DSCAL
+      EXTERNAL           DLAR1V, DLARRB, DLARRF, DLASET
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC ABS, DBLE, MAX, MIN
@@ -15546,9 +15433,8 @@
       DOUBLE PRECISION   BIGNUM, CFROM1, CFROMC, CTO1, CTOC, MUL, SMLNUM
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           LSAME, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN
@@ -16375,7 +16261,7 @@
       EXTERNAL           DLAMCH, DLAPY2
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DLACPY, DLAMRG, DLASET, DROT, XERBLA
+      EXTERNAL           DLACPY, DLAMRG, DLASET, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
@@ -16844,11 +16730,11 @@
       DOUBLE PRECISION   RHO, TEMP
 *     ..
 *     .. External Functions ..
-      DOUBLE PRECISION   DLAMC3, DNRM2
-      EXTERNAL           DLAMC3, DNRM2
+      DOUBLE PRECISION   DLAMC3
+      EXTERNAL           DLAMC3
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DGEMM, DLACPY, DLASCL, DLASD4, XERBLA
+      EXTERNAL           DLACPY, DLASCL, DLASD4, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, SIGN, SQRT
@@ -18325,7 +18211,7 @@
       DOUBLE PRECISION   ORGNRM
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DLAMRG, DLASCL, DLASD7, DLASD8, XERBLA
+      EXTERNAL           DLAMRG, DLASCL, DLASD7, DLASD8, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
@@ -18595,7 +18481,7 @@
       DOUBLE PRECISION   EPS, HLFTOL, TAU, TOL, Z1
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DLAMRG, DROT, XERBLA
+      EXTERNAL           DLAMRG, XERBLA
 *     ..
 *     .. External Functions ..
       DOUBLE PRECISION   DLAMCH, DLAPY2
@@ -18966,11 +18852,11 @@
       DOUBLE PRECISION   DIFLJ, DIFRJ, DJ, DSIGJ, DSIGJP, RHO, TEMP
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DLASCL, DLASD4, DLASET, XERBLA
+      EXTERNAL           DLASCL, DLASD4, DLASET, XERBLA
 *     ..
 *     .. External Functions ..
-      DOUBLE PRECISION   DDOT, DLAMC3, DNRM2
-      EXTERNAL           DDOT, DLAMC3, DNRM2
+      DOUBLE PRECISION   DLAMC3
+      EXTERNAL           DLAMC3
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, SIGN, SQRT
@@ -19221,11 +19107,11 @@
      $                   TEMP
 *     ..
 *     .. External Functions ..
-      DOUBLE PRECISION   DDOT, DLAMC3, DNRM2
-      EXTERNAL           DDOT, DLAMC3, DNRM2
+      DOUBLE PRECISION   DLAMC3
+      EXTERNAL           DLAMC3
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DLASCL, DLASD4, DLASET, XERBLA
+      EXTERNAL           DLASCL, DLASD4, DLASET, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, SIGN, SQRT
@@ -19552,7 +19438,7 @@
       DOUBLE PRECISION   ALPHA, BETA
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DCOPY, DLASD6, DLASDQ, DLASDT, DLASET, XERBLA
+      EXTERNAL           DLASD6, DLASDQ, DLASDT, DLASET, XERBLA
 *     ..
 *     .. Executable Statements ..
 *
@@ -19902,12 +19788,8 @@
       DOUBLE PRECISION   CS, R, SMIN, SN
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DBDSQR, DLARTG, DLASR, DSWAP, XERBLA
+      EXTERNAL           DBDSQR, DLARTG, DLASR, XERBLA
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
 *     ..
@@ -20242,10 +20124,6 @@
 *     .. Local Scalars ..
       INTEGER            I, J
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MIN
 *     ..
@@ -21438,10 +21316,6 @@
       INTEGER            I, INFO, J
       DOUBLE PRECISION   CTEMP, STEMP, TEMP
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
       EXTERNAL           XERBLA
 *     ..
@@ -22219,13 +22093,9 @@
       DOUBLE PRECISION   BTMP( 4 ), T16( 4, 4 ), TMP( 4 ), X2( 2 )
 *     ..
 *     .. External Functions ..
-      INTEGER            IDAMAX
       DOUBLE PRECISION   DLAMCH
-      EXTERNAL           IDAMAX, DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
-*     .. External Subroutines ..
-      EXTERNAL           DCOPY, DSWAP
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX
 *     ..
@@ -22594,14 +22464,6 @@
       DOUBLE PRECISION   ABSAKK, ALPHA, COLMAX, D11, D21, D22, R1,
      $                   ROWMAX, T
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX
-      EXTERNAL           LSAME, IDAMAX
-*     ..
-*     .. External Subroutines ..
-      EXTERNAL           DCOPY, DGEMM, DGEMV, DSCAL, DSWAP
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN, SQRT
 *     ..
@@ -23256,13 +23118,11 @@
      $                   TMAX, TSCAL, USCAL, XBND, XJ, XMAX
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DASUM, DDOT, DLAMCH
-      EXTERNAL           LSAME, IDAMAX, DASUM, DDOT, DLAMCH
+      DOUBLE PRECISION   DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DSCAL, DTBSV, XERBLA
+      EXTERNAL           DTBSV, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN
@@ -23915,13 +23775,8 @@
       DOUBLE PRECISION   WORK( 4*MAXDIM ), XM( MAXDIM ), XP( MAXDIM )
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DGECON, DGESC2, DLASSQ, DLASWP,
-     $                   DSCAL
+      EXTERNAL           DGECON, DGESC2, DLASSQ, DLASWP
 *     ..
-*     .. External Functions ..
-      DOUBLE PRECISION   DASUM, DDOT
-      EXTERNAL           DASUM, DDOT
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, SQRT
 *     ..
@@ -24209,13 +24064,11 @@
      $                   TMAX, TSCAL, USCAL, XBND, XJ, XMAX
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DASUM, DDOT, DLAMCH
-      EXTERNAL           LSAME, IDAMAX, DASUM, DDOT, DLAMCH
+      DOUBLE PRECISION   DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DSCAL, DTPSV, XERBLA
+      EXTERNAL           DTPSV, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN
@@ -24892,13 +24745,8 @@
       DOUBLE PRECISION   ALPHA
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DGEMV, DLARFG, DSCAL, DSYMV
+      EXTERNAL           DLARFG
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT
-      EXTERNAL           LSAME, DDOT
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MIN
 *     ..
@@ -25185,13 +25033,11 @@
      $                   TMAX, TSCAL, USCAL, XBND, XJ, XMAX
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
-      INTEGER            IDAMAX
-      DOUBLE PRECISION   DASUM, DDOT, DLAMCH
-      EXTERNAL           LSAME, IDAMAX, DASUM, DDOT, DLAMCH
+      DOUBLE PRECISION   DLAMCH
+      EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DSCAL, DTRSV, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, MIN
@@ -25770,13 +25616,8 @@
       INTEGER            I
       DOUBLE PRECISION   AII
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      DOUBLE PRECISION   DDOT
-      EXTERNAL           LSAME, DDOT
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMV, DSCAL, XERBLA
+      EXTERNAL           XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
@@ -25905,12 +25746,11 @@
       INTEGER            I, IB, NB
 *     ..
 *     .. External Functions ..
-      LOGICAL            LSAME
       INTEGER            ILAENV
-      EXTERNAL           LSAME, ILAENV
+      EXTERNAL           ILAENV
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMM, DLAUU2, DSYRK, DTRMM, XERBLA
+      EXTERNAL           DLAUU2, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX, MIN
@@ -26048,9 +25888,6 @@
       DOUBLE PRECISION   DLAMCH
       EXTERNAL           DLAMCH
 *     ..
-*     .. External Subroutines ..
-      EXTERNAL           DSCAL
-*     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS
 *     ..
@@ -26270,9 +26107,9 @@
       EXTERNAL           DLAMCH
 *     ..
 *     .. External Subroutines ..
-      EXTERNAL           DGEMM, DGEQR2, DGERQ2, DLACPY, DLAGV2, DLARTG,
+      EXTERNAL           DGEQR2, DGERQ2, DLACPY, DLAGV2, DLARTG,
      $                   DLASET, DLASSQ, DORG2R, DORGR2, DORM2R, DORMR2,
-     $                   DROT, DSCAL, DTGSY2
+     $                   DTGSY2
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          ABS, MAX, SQRT
@@ -26884,13 +26721,9 @@
       INTEGER            IPIV( LDZ ), JPIV( LDZ )
       DOUBLE PRECISION   RHS( LDZ ), Z( LDZ, LDZ )
 *     ..
-*     .. External Functions ..
-      LOGICAL            LSAME
-      EXTERNAL           LSAME
-*     ..
 *     .. External Subroutines ..
-      EXTERNAL           DAXPY, DCOPY, DGEMM, DGEMV, DGER, DGESC2,
-     $                   DGETC2, DLASET, DLATDF, DSCAL, XERBLA
+      EXTERNAL           DGESC2,
+     $                   DGETC2, DLASET, DLATDF, XERBLA
 *     ..
 *     .. Intrinsic Functions ..
       INTRINSIC          MAX
